ZF-2313: Conditionally require ViewRenderer and ErrorHandler in Zend_Controller_Front

Issue Type: Improvement Created: 2007-12-14T20:42:24.000+0000 Last Updated: 2008-03-21T16:25:50.000+0000 Status: Resolved Fix version(s): - 1.5.0 (17/Mar/08)

Reporter: Shekar Reddy (zendfw) Assignee: Matthew Weier O'Phinney (matthew) Tags: - Zend_Controller

Related issues: Attachments:


Zend_Controller_Front.php has the following lines of code on the top instead of conditionally requiring them in dispatch():

<pre class="highlight">
/** Zend_Controller_Action_Helper_ViewRenderer */
require_once 'Zend/Controller/Action/Helper/ViewRenderer.php';

/** Zend_Controller_Plugin_ErrorHandler */
require_once 'Zend/Controller/Plugin/ErrorHandler.php';

For those who don't use ViewRenderer and ErrorHandler, these files still get included on each page-load unless they are moved into dispatch() to require them conditionally.


Posted by Matthew Weier O'Phinney (matthew) on 2007-12-15T06:23:58.000+0000

Fixed in r7130 in trunk.

Have you found an issue?

See the Overview section for more details.


© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.